<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: submissions.php
| Author: Nick Jones (Digitanium)
| Co-author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
include INFUSIONS."booklib/infusion_db.php";

if (!checkrights("BOL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

$book = "";
opentable($locale['book_510']);
if (!isset($_GET['action']) || $_GET['action'] == "1") {
	if (isset($_GET['delete']) && isnum($_GET['delete'])) {
		$result = dbquery("SELECT submit_criteria FROM ".DB_BOOK_SUBMISSIONS." WHERE submit_id='".$_GET['delete']."'");
		if (dbrows($result)) {
			$datab = dbarray($result);
			$data = unserialize($datab['submit_criteria']);
			if (!empty($data['book_image']) && file_exists(IMAGES_BOOK.$data['book_image'])) { unlink(IMAGES_BOOK.$data['book_image']); }
			if (!empty($data['book_file']) && file_exists(BOOKS.$data['book_file'])) { @unlink(BOOKS.$data['book_file']); }
			$result = dbquery("DELETE FROM ".DB_BOOK_SUBMISSIONS." WHERE submit_id='".$_GET['delete']."'");
			echo "<br /><div style='text-align:center'>".$locale['book_501']."<br /><br />\n";
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['book_502']."</a><br /><br />\n";
			echo "<a href='../book_admin.php".$aidlink."'>".$locale['book_503']."</a></div><br />\n";
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$result = dbquery("SELECT submit_id, submit_criteria FROM ".DB_BOOK_SUBMISSIONS." ORDER BY submit_datestamp DESC");
		if (dbrows($result)) {
			while ($data = dbarray($result)) {
				$submit_criteria = unserialize($data['submit_criteria']);
				$book .= "<tr>\n<td class='tbl1'>".$submit_criteria['book_title']."</td>\n";
				$book .= "<td align='right' width='1%' class='tbl1' style='white-space:nowrap'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=2&amp;submit_id=".$data['submit_id']."'>".$locale['book_517']."</a></span> |\n";
				$book .= "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;delete=".$data['submit_id']."'>".$locale['book_131']."</a></span></td>\n</tr>\n";
			}
		} else {
			$book = "<tr>\n<td colspan='2' class='tbl1'>".$locale['book_515']."</td>\n</tr>\n";
		}
		
		echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n<tr>\n";
		echo "<td colspan='2' class='tbl2'><a id='book_submissions' name='book_submissions'></a>\n".$locale['book_512']."</td>\n";
		echo "</tr>\n".$book."</table>\n";
	}
}
if ((isset($_GET['action']) && $_GET['action'] == "2")) {
	if (isset($_POST['publish']) && (isset($_GET['submit_id']) && isnum($_GET['submit_id']))) {
		$result = dbquery(
			"SELECT ts.*, tu.user_id, tu.user_name FROM ".DB_BOOK_SUBMISSIONS." ts
			LEFT JOIN ".DB_USERS." tu ON ts.submit_user=tu.user_id
			WHERE submit_id='".$_GET['submit_id']."'"
		);
		if (dbrows($result)) {
			$data = dbarray($result);
			$datab = unserialize($data['submit_criteria']);
			if (isset($_POST['del_image'])) {
				if (!empty($datab['book_image']) && file_exists(IMAGES_BOOK.$datab['book_image'])) { unlink(IMAGES_BOOK.$datab['book_image']); }
				$book_image = "";
			} else {
				$book_image = $datab['book_image'];
			}
			$book_title = stripinput($_POST['book_title']);
			$book_cat = isnum($_POST['book_cat']) ? $_POST['book_cat'] : "0";
			$book_description = trim(stripinput($_POST['book_description']));
			$book_filesize = stripinput($_POST['book_filesize']);
			$book_author = stripinput($_POST['book_author']);
			$book_language = stripinput($_POST['book_language']);
			$book_publisher = stripinput($_POST['book_publisher']);
			$book_pubdate = stripinput($_POST['book_pubdate']);
			$book_comments = isset($_POST['book_comments']) ? "1" : "0";
			$book_ratings = isset($_POST['book_ratings']) ? "1" : "0";
			$result = dbquery("INSERT INTO ".DB_BOOK." (book_title, book_author, book_language, book_publisher, book_pubdate, book_image, book_description, book_url, book_file, book_cat, book_name, book_filesize, book_datestamp, book_count, book_allow_comments, book_allow_ratings) VALUES ('$book_title', '$book_author', '$book_language', '$book_publisher', '$book_pubdate', '$book_image', '$book_description', '".$datab['book_url']."', '".$datab['book_file']."', '$book_cat', '".$data['user_id']."', '$book_filesize', '".time()."', '0', '$book_comments', '$book_ratings')");
			$result = dbquery("UPDATE ".DB_BOOK_CATS." SET book_cat_items=book_cat_items+1 WHERE book_cat_id='".$book_cat."'");
			$result = dbquery("DELETE FROM ".DB_BOOK_SUBMISSIONS." WHERE submit_id='".$_GET['submit_id']."'");
			echo "<br /><div style='text-align:center'>".$locale['book_591']."<br /><br />\n";
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['book_502']."</a><br /><br />\n";
			echo "<a href='../book_admin.php".$aidlink."'>".$locale['book_503']."</a></div><br />\n";
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else if (isset($_POST['delete']) && (isset($_GET['submit_id']) && isnum($_GET['submit_id']))) {
		$result = dbquery("SELECT submit_criteria FROM ".DB_BOOK_SUBMISSIONS." WHERE submit_id='".$_GET['submit_id']."'");
		$datab = dbarray($result);
		$data = unserialize($datab['submit_criteria']);
		if (!empty($data['book_image']) && file_exists(IMAGES_BOOK.$data['book_image'])) { unlink(IMAGES_BOOK.$data['book_image']); }
		if (!empty($data['book_file']) && file_exists(BOOKS.$data['book_file'])) { @unlink(BOOKS.$data['book_file']); }
		$result = dbquery("DELETE FROM ".DB_BOOK_SUBMISSIONS." WHERE submit_id='".$_GET['submit_id']."'");
		echo "<br /><div style='text-align:center'>".$locale['book_501']."<br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['book_502']."</a><br /><br />\n";
		echo "<a href='../book_admin.php".$aidlink."'>".$locale['book_503']."</a></div><br />\n";
	} else {
		require_once INCLUDES."bbcode_include.php";
		$result = dbquery(
			"SELECT ts.submit_criteria, tu.user_id, tu.user_name, tu.user_status
			FROM ".DB_BOOK_SUBMISSIONS." ts
			LEFT JOIN ".DB_USERS." tu ON ts.submit_user=tu.user_id
			WHERE submit_id='".$_GET['submit_id']."'"
		);
		if (dbrows($result)) {
			$data = dbarray($result);
			$submit_criteria = unserialize($data['submit_criteria']);
			$book_title = stripinput($submit_criteria['book_title']);
			$book_cat = isnum($submit_criteria['book_cat']) ? $submit_criteria['book_cat'] : "0";
			$book_description = trim(stripinput($submit_criteria['book_description']));
			$book_filesize = stripinput($submit_criteria['book_filesize']);
			$book_image = stripinput($submit_criteria['book_image']);
			$book_file = stripinput($submit_criteria['book_file']);
			$book_url = stripinput($submit_criteria['book_url']);
			$book_author = stripinput($submit_criteria['book_author']);
			$book_language = stripinput($submit_criteria['book_language']);
			$book_publisher = stripinput($submit_criteria['book_publisher']);
			$book_pubdate = stripinput($submit_criteria['book_pubdate']);
			$result2 = dbquery("SELECT * FROM ".DB_BOOK_CATS." WHERE book_cat_parent='0' ORDER BY book_cat_name");
			$editlist = "";
			if (dbrows($result2) != 0) {
				while ($data2 = dbarray($result2)) {
					$editlist .= menu_subcats($data2['book_cat_id'], $data2['book_cat_name'],1);
				}
			}
			add_to_title($locale['global_200'].$locale['book_583'].$locale['global_201'].$book_title);
			echo "<form name='publish' method='post' action='".FUSION_SELF.$aidlink."&amp;sub=submissions&amp;action=2&amp;submit_id=".$_GET['submit_id']."'>\n";
			echo "<table cellpadding='0' cellspacing='0' width='460' class='center'>\n<tr>\n";
			echo "<td width='80' class='tbl'>".$locale['book_411'].":</td>\n";
			echo "<td class='tbl'><input type='text' name='book_title' value='".$book_title."' class='textbox' style='width:380px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='80' class='tbl'>".$locale['book_417'].":</td>\n";
			echo "<td class='tbl'><input type='text' name='book_author' value='".$book_author."' class='textbox' style='width:380px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='80' class='tbl'>".$locale['book_436'].":</td>\n";
			echo "<td class='tbl'><input type='text' name='book_language' value='".$book_language."' class='textbox' style='width:380px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='80' class='tbl'>".$locale['book_415'].":</td>\n";
			echo "<td class='tbl'><input type='text' name='book_publisher' value='".$book_publisher."' class='textbox' style='width:380px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='80' class='tbl'>".$locale['book_419'].":</td>\n";
			echo "<td class='tbl'><input type='text' name='book_pubdate' value='".$book_pubdate."' class='textbox' style='width:380px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			if ($book_image != "") {
				echo "<td width='80' class='tbl' valign='top'>".$locale['book_588']."</td>\n<td class='tbl' valign='top'>\n";
				echo "<label><img src='".IMAGES_BOOK.$book_image."' alt='' /><br />\n";
				echo "<input type='checkbox' name='del_image' value='y' /> ".$locale['book_131']."</label>\n";
				echo "</td>\n</tr>\n<tr>\n";
			}
			echo "<td valign='top' width='80' class='tbl'>".$locale['book_423'].":</td>\n";
			echo "<td class='tbl'><textarea name='book_description' cols='60' rows='5' class='textbox' style='width:380px;'>".$book_description."</textarea></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'></td><td class='tbl'>\n";
			echo display_bbcodes("360px", "book_description")."</td>\n";
			if ($book_file != "") {
				echo "</td>\n</tr>\n<tr>\n";
				echo "<td width='80' class='tbl' valign='top'>".$locale['book_589']."</td>\n<td class='tbl' valign='top'>\n";
				echo "<a target='_blank' href='".BOOKS.$book_file."'>".$book_file."</a><br />\n";
			} else {
				echo "</tr>\n<tr>\n";
				echo "<td width='80' class='tbl'>".$locale['book_122']."</td>\n<td class='tbl' valign='top'>\n";
				echo "<a target='_blank' href='".$book_url."'>".$book_url."</a><br />\n";
			}
			echo "</td>\n</tr>\n<tr>\n";
			echo "<td width='80' class='tbl'>".$locale['book_123'].":</td>\n";
			echo "<td class='tbl'><select name='book_cat' class='textbox'>\n".$editlist."</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='80' class='tbl'>".$locale['book_422'].":</td>\n";
			echo "<td class='tbl'><input type='text' name='book_filesize' id='book_filesize' value='".$book_filesize."' class='textbox' style='width:150px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'></td><td class='tbl'>\n";
			echo "<label><input type='checkbox' name='book_comments' value='yes'' checked='checked' /> ".$locale['book_124']."</label>\n";
			echo "<br /><label><input type='checkbox' name='book_ratings' value='yes'' checked='checked' /> ".$locale['book_125']."</label>\n</td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'>";
			echo "<input type='submit' name='publish' value='".$locale['book_583']."' class='button' />\n";
			echo "<input type='submit' name='delete' value='".$locale['book_131']."' class='button' /></td>\n";
			echo "</tr>\n</table>\n</form>\n";
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
}
closetable();

function menu_subcats($id, $name, $level) {
	global $book_cat;
	$list = "<option value='".$id."'".($id == $book_cat ? " selected='selected'" : "").">".str_repeat("&nbsp;&nbsp;&nbsp;&nbsp;",$level-1)." ".$name."</option>\n";
	$sresult[$id] = dbquery("SELECT book_cat_id, book_cat_name FROM ".DB_BOOK_CATS." WHERE book_cat_parent='".$id."' ORDER BY book_cat_name");
	if (dbrows($sresult[$id]) != 0) {
		while ($sdata[$id] = dbarray($sresult[$id])) {
			$list .= menu_subcats($sdata[$id]['book_cat_id'], $sdata[$id]['book_cat_name'], $level+1);
		}
	}
	return $list;
}

require_once THEMES."templates/footer.php";
?>