<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: book_admin.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."booklib/infusion_db.php";

if (!checkrights("BOL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

opentable($locale['INF_ADMIN']);
echo "<table align='center' width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
echo "<tr>\n";
echo "<td width='33%' class='tbl' align='center'><a href='admin/book_items.php".$aidlink."'><img src='images/book.png' alt='".$locale['book_001']."' height='64' width='64' border='0' /><br />".$locale['book_001']."</a></td>\n";
echo "<td width='33%' class='tbl' align='center'><a href='admin/book_cats.php".$aidlink."'><img src='images/cats.png' alt='".$locale['book_002']."' height='64' width='64' border='0' /><br />".$locale['book_002']."</a></td>\n";
echo "<td width='33%' class='tbl' align='center'><a href='admin/submissions.php".$aidlink."'><img src='images/submissions.png' alt='".$locale['book_004']."' height='64' width='64' border='0' /><br />".$locale['book_004']."</a></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='33%' class='tbl' align='center'><a href='admin/reports.php".$aidlink."'><img src='images/report.png' alt='".$locale['book_600']."' height='64' width='64' border='0' /><br />".$locale['book_600']."</a></td>\n";
echo "<td width='33%' class='tbl' align='center'><a href='admin/book_settings.php".$aidlink."'><img src='images/settings.png' alt='".$locale['book_003']."' height='64' width='64' border='0' /><br />".$locale['book_003']."</a></td>\n";
echo "<td width='33%' class='tbl' align='center'><a href='admin/update.php".$aidlink."'><img src='images/update.png' alt='".$locale['book_701']."' height='64' width='64' border='0' /><br />".$locale['book_701']."</a></td>\n";
echo "</tr>\n";
echo "</table>\n";
closetable();

opentable($locale['250']);
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td valign='top' width='33%' class='small'>
".THEME_BULLET." ".$locale['book_005'].": ".dbcount("(book_id)", DB_BOOK)."<br />
".THEME_BULLET." ".$locale['book_006'].": ".dbcount("(book_cat_id)", DB_BOOK_CATS)."
</td>\n<td valign='top' width='33%' class='small'>
".THEME_BULLET." ".$locale['book_004'].": ".dbcount("(submit_id)", DB_BOOK_SUBMISSIONS)."<br />
".THEME_BULLET." ".$locale['book_600'].": ".dbcount("(report_id)", DB_BOOK_REPORTS)."<br />
</td>\n<td valign='top' width='33%' class='small'>
".THEME_BULLET." ".$locale['book_420'].": ".dbcount("(comment_id)", DB_COMMENTS, "comment_type='BO'")."<br />
</td>\n</tr>\n</table>\n";
closetable();

require_once THEMES."templates/footer.php";
?>