<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."booklib/infusion_db.php";

$inf_title = $locale['INF_TITLE'];
$inf_description = $locale['INF_DESC'];
$inf_version = "1.05";
$inf_developer = "Khalid545";
$inf_email = "khalidd545@gmail.com";
$inf_weburl = "http://khalidb.co.cc/";

$inf_folder = "booklib";

$inf_newtable[1] = DB_BOOK_CATS." (
		book_cat_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
		book_cat_name varchar(100) NOT NULL DEFAULT '',
		book_cat_description text NOT NULL,
		book_cat_sorting varchar(50) NOT NULL DEFAULT 'download_title ASC',
		book_cat_access tinyint(3) unsigned NOT NULL DEFAULT '0',
		book_cat_parent mediumint(8) unsigned NOT NULL DEFAULT '0',
		book_cat_items int(10) unsigned NOT NULL DEFAULT '0',
		PRIMARY KEY (book_cat_id)
	) TYPE=MyISAM;";
$inf_droptable[1] = DB_BOOK_CATS;
	
$inf_newtable[2] = DB_BOOK." (
		book_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
		book_title varchar(200) NOT NULL DEFAULT '',
		book_cat mediumint(8) unsigned NOT NULL DEFAULT '0',
		book_description text NOT NULL,
		book_url varchar(200) NOT NULL DEFAULT '',
		book_file varchar(100) NOT NULL DEFAULT '',
		book_image varchar(100) NOT NULL DEFAULT '',
		book_name mediumint(8) unsigned NOT NULL DEFAULT '1',
		book_filesize varchar(20) NOT NULL DEFAULT '',
		book_datestamp int(10) unsigned NOT NULL DEFAULT '0',
		book_author varchar(200) NOT NULL DEFAULT '',
		book_language varchar(200) NOT NULL DEFAULT '',
		book_publisher varchar(200) NOT NULL DEFAULT '',
		book_pubdate varchar(200) NOT NULL DEFAULT '',
		book_count int(10) unsigned NOT NULL DEFAULT '0',
		book_allow_comments tinyint(1) unsigned NOT NULL DEFAULT '1',
		book_allow_ratings tinyint(1) unsigned NOT NULL DEFAULT '1',
		KEY book_datestamp (book_datestamp),
		KEY book_count (book_count),
		PRIMARY KEY (book_id)
	) TYPE=MyISAM;";
$inf_droptable[2] = DB_BOOK;
	
$inf_newtable[3] = DB_ASETTINGS." (
		settings_name varchar(200) NOT NULL DEFAULT '',
		settings_value text NOT NULL
	) TYPE=MyISAM;";
$inf_droptable[3] = DB_ASETTINGS;
	
$inf_newtable[4] = DB_BOOK_SUBMISSIONS." (
		submit_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
		submit_user MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
		submit_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
		submit_criteria TEXT NOT NULL,
		PRIMARY KEY (submit_id)
	) TYPE=MyISAM;";
$inf_droptable[4] = DB_BOOK_SUBMISSIONS;

$inf_newtable[5] = DB_BOOK_REPORTS." (
        report_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
        report_datestamp int(10) unsigned NOT NULL DEFAULT '0',
		report_name varchar(50) NOT NULL DEFAULT '1',
		report_ip varchar(20) NOT NULL DEFAULT '0.0.0.0',
		report_book mediumint(8) unsigned NOT NULL DEFAULT '1',
        PRIMARY KEY (report_id)
    ) TYPE=MyISAM;";
$inf_droptable[5] = DB_BOOK_REPORTS;

$inf_insertdbrow[1] = DB_ASETTINGS." VALUES ('book_max_b','150000');";
$inf_insertdbrow[2] = DB_ASETTINGS." VALUES ('book_per_page','10');";
$inf_insertdbrow[3] = DB_ASETTINGS." VALUES ('book_types','.pdf,.doc,.html,.htm,.prc,.pdb,.zip,.rar');";
$inf_insertdbrow[4] = DB_ASETTINGS." VALUES ('book_submit','1');";
$inf_insertdbrow[5] = DB_ASETTINGS." VALUES ('guestdownload','1');";
$inf_insertdbrow[6] = DB_ASETTINGS." VALUES ('subcats','0');";
$inf_insertdbrow[7] = DB_ASETTINGS." VALUES ('display','0');";
$inf_insertdbrow[8] = DB_ASETTINGS." VALUES ('book_per_line','2');";
$inf_insertdbrow[9] = DB_ASETTINGS." VALUES ('social_sharing','1');";

$inf_altertable[1] = DB_BOOK_CATS." ADD book_cat_parent mediumint(8) unsigned NOT NULL DEFAULT '0'";
$inf_altertable[2] = DB_BOOK." ADD book_language varchar(200) NOT NULL DEFAULT ''";
$inf_altertable[3] = DB_BOOK_CATS." ADD book_cat_items int(10) unsigned NOT NULL DEFAULT '0'";

if (isset($_GET['defuse']) && isnum($_GET['defuse'])) {
	$result = dbquery("DELETE FROM ".DB_BCOMMENTS." WHERE comment_type='BO'");
	$result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_type='B'");
}

$inf_sitelink[1] = array(
	"title" => $locale['INF_TITLE'],
	"url" => "book.php",
	"visibility" => "0"
);

$inf_sitelink[2] = array(
   "title" => $locale['book_521'],
   "url" => "submit.php",
   "visibility" => "101"
);

$inf_adminpanel[1] = array(
	"title" => $locale['INF_ADMIN'],
	"image" => "image.gif",
	"panel" => "book_admin.php",
	"rights" => "BOL"
);
?>