<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: book_cats.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
| Original file: book_cats.php By Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."booklib/infusion_db.php";

if (!checkrights("BOL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['book_210'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['book_211'];
	} elseif ($_GET['status'] == "deln") {
		$message = $locale['book_212']."<br />\n<span class='small'>".$locale['book_213']."</span>";
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['book_214'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
	$result = dbquery("SELECT * FROM ".DB_BOOK." WHERE book_cat='".$_GET['cat_id']."'");
	if (dbrows($result) != 0) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".DB_BOOK_CATS." WHERE book_cat_id='".$_GET['cat_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
} else {
	if (isset($_POST['save_cat'])) {
		$cat_name = stripinput($_POST['cat_name']);
		$cat_description = stripinput($_POST['cat_description']);
		$cat_parent = isnum($_POST['cat_parent']) ? $_POST['cat_parent'] : "0";
		$cat_access = isnum($_POST['cat_access']) ? $_POST['cat_access'] : "0";
		if (isnum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "1") {
			$cat_sorting = "book_id ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isnum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "2") {
			$cat_sorting = "book_title ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isnum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "3") {
			$cat_sorting = "book_datestamp ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else {
			$cat_sorting = "book_title ASC";
		}
		if ($cat_name) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
				$result = dbquery("UPDATE ".DB_BOOK_CATS." SET book_cat_name='$cat_name', book_cat_parent='$cat_parent', book_cat_description='$cat_description', book_cat_sorting='$cat_sorting', book_cat_access='$cat_access' WHERE book_cat_id='".$_GET['cat_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_BOOK_CATS." (book_cat_name, book_cat_description, book_cat_sorting, book_cat_access, book_cat_parent) VALUES('$cat_name', '$cat_description', '$cat_sorting', '$cat_access', '$cat_parent')");
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
		$result = dbquery("SELECT * FROM ".DB_BOOK_CATS." WHERE book_cat_id='".$_GET['cat_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$cat_name = $data['book_cat_name'];
			$cat_description = $data['book_cat_description'];
			$cat_sorting = explode(" ", $data['book_cat_sorting']);
			$cat_parent = $data['book_cat_parent'];
			if ($cat_sorting[0] == "book_id") { $cat_sort_by = "1"; }
			if ($cat_sorting[0] == "book_title") { $cat_sort_by = "2"; }
			if ($cat_sorting[0] == "book_datestamp") { $cat_sort_by = "3"; }
			$cat_sort_order = $cat_sorting[1];
			$cat_access = $data['book_cat_access'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['book_cat_id'];
			opentable($locale['book_200']);
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$cat_name = "";
		$cat_description = "";
		$cat_sort_by = "book_title";
		$cat_sort_order = "ASC";
		$cat_parent = "";
		$cat_access = "";
		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['book_201']);
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($cat_access == $user_group['0'] ? " selected='selected'" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	$editlist = ""; if (isset($_GET['action']) && $_GET['action'] == "edit") { $parent = $data['book_cat_parent']; } else { $parent = ""; }
	$result2 = dbquery("SELECT * FROM ".DB_BOOK_CATS." WHERE book_cat_parent='0' ORDER BY book_cat_name");
	if (dbrows($result2) != 0) {
		$editlist .= "<option value='0'></option>\n";
		while ($data2 = dbarray($result2)) {
			$editlist .= menu_subcats($data2['book_cat_id'], $data2['book_cat_name'],1);
		}
	}
	echo "<form name='addcat' method='post' action='$formaction'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['book_220']."</td>\n";
	echo "<td class='tbl'><input type='text' name='cat_name' value='".$cat_name."' class='textbox' style='width:200px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['book_221']."</td>\n";
	echo "<td class='tbl'><input type='text' name='cat_description' value='".$cat_description."' class='textbox' style='width:250px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['book_222']."</td>\n";
	echo "<td class='tbl'><select name='cat_sort_by' class='textbox'>\n";
	echo "<option value='1'".($cat_sort_by == "1" ? " selected='selected'" : "").">".$locale['book_223']."</option>\n";
	echo "<option value='2'".($cat_sort_by == "2" ? " selected='selected'" : "").">".$locale['book_224']."</option>\n";
	echo "<option value='3'".($cat_sort_by == "3" ? " selected='selected'" : "").">".$locale['book_225']."</option>\n";
	echo "</select> - <select name='cat_sort_order' class='textbox'>\n";
	echo "<option value='ASC'".($cat_sort_order == "ASC" ? " selected='selected'" : "").">".$locale['book_226']."</option>\n";
	echo "<option value='DESC'".($cat_sort_order == "DESC" ? " selected='selected'" : "").">".$locale['book_227']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['book_228']."</td>\n";
	echo "<td class='tbl'><select name='cat_access' class='textbox' style='width:150px;'>\n".$access_opts."</select></td>\n";
	echo "</tr>\n<tr>\n";
	if ($asettings['subcats']) {
		echo "<td width='80' class='tbl'>".$locale['book_230']."</td>\n";
		echo "<td class='tbl'><select name='cat_parent' class='textbox'>\n".$editlist."</select></td>\n";
		echo "</tr>\n<tr>\n";
	} else echo "<input type='hidden' name='cat_parent' value='".$parent."' />";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='save_cat' value='".$locale['book_229']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['book_202']);
	echo "<table width='400' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
	$result = dbquery("SELECT * FROM ".DB_BOOK_CATS." WHERE book_cat_parent='0' ORDER BY book_cat_name");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td class='tbl2'>".$locale['book_123']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['book_241']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['book_141']."</td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			echo "<td class='".$cell_color."'>".$data['book_cat_name'];
			if ($data['book_cat_description']) { echo "<br /><span class='small'>".trimlink($data['book_cat_description'], 45)."</span></td>\n"; }
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data['book_cat_access'])."</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['book_cat_id']."'>".$locale['book_142']."</a> -\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;cat_id=".$data['book_cat_id']."' onclick=\"return confirm('".$locale['book_250']."');\">".$locale['book_131']."</a></td>\n";
			echo "</tr>\n";
			echo subcats($data['book_cat_id'], 1);
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['book_245']."</td></tr>\n</table>\n";
	}
	closetable();
}

function subcats($id, $level) {
	global $aidlink, $locale, $data, $cell_color;
	$sublist = "";
	$sresult[$id] = dbquery("SELECT book_cat_id, book_cat_name, book_cat_description, book_cat_access FROM ".DB_BOOK_CATS." WHERE book_cat_parent='".$id."' ORDER BY book_cat_name");
	if (dbrows($sresult[$id]) != 0) {
		while ($sdata[$id] = dbarray($sresult[$id])) {
			$sublist .= "<tr>\n";
			$sublist .="<td class='$cell_color'>".str_repeat("&mdash; ",$level)." ".$sdata[$id]['book_cat_name']."<br />\n";
			$sublist .= "<span class='small'>".trimlink($sdata[$id]['book_cat_description'], 45)."</span></td>\n";
			$sublist .= "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($sdata[$id]['book_cat_access'])."</td>\n";
			$sublist .= "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$sdata[$id]['book_cat_id']."'>".$locale['book_142']."</a> -\n";
			$sublist .= "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;cat_id=".$sdata[$id]['book_cat_id']."' onclick=\"return confirm('".$locale['book_250']."');\">".$locale['book_131']."</a></td>\n";
			$sublist .= "</tr>\n";
			$sublist .= subcats($sdata[$id]['book_cat_id'], $level+1);
		}
	}
	return $sublist;
}

function menu_subcats($id, $name, $level) {
	global $parent; $sel = "";
	if (isset($_GET['action']) && $_GET['action'] == "edit") { $sel = ($parent == $id ? " selected='selected'" : ""); }
	$list = "<option value='".$id."'$sel>".str_repeat("&nbsp;&nbsp;&nbsp;",$level-1)." ".$name."</option>\n";
	$sresult[$id] = dbquery("SELECT book_cat_id, book_cat_name FROM ".DB_BOOK_CATS." WHERE book_cat_parent='".$id."' ORDER BY book_cat_name");
	if (dbrows($sresult[$id]) != 0) {
		while ($sdata[$id] = dbarray($sresult[$id])) {
			$list .= menu_subcats($sdata[$id]['book_cat_id'], $sdata[$id]['book_cat_name'], $level+1);
		}
	}
	return $list;
}

require_once THEMES."templates/footer.php";
?>