<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: book_settings.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
| Original file: settings_dl.php By Hans Kristian Flaatten (Starefossen)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."booklib/infusion_db.php";

if (!checkrights("BOL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

if (isset($_GET['action']) && $_GET['action']=="count_books") {
	$result = dbquery("SELECT book_cat, count(book_id) AS book_count FROM ".DB_BOOK." GROUP BY book_cat");
	if (dbrows($result)) {
		while($data = dbarray($result)) {
			$result2 = dbquery("UPDATE ".DB_BOOK_CATS." SET book_cat_items='".$data['book_count']."' WHERE book_cat_id='".$data['book_cat']."'");
		}
	}
	$message = $locale['book_347'];
	if (!isset($_GET['error']) || !isnum($_GET['error'])) $_GET['error'] = 5;
}

if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 0) {
		$message = $locale['book_300'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['book_301'];
	} elseif ($_GET['error'] == 2) {
		$message = $locale['global_182'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

if (isset($_POST['savesettings'])) {
	$error = 0;
/* 	$admin_password = isset($_POST['admin_password']) ? $_POST['admin_password'] : "";
	if (md5(md5($admin_password)) == $userdata['user_admin_password']) { */
		$result = dbquery("UPDATE ".DB_ASETTINGS." SET settings_value='".(isnum($_POST['book_max_b']) ? $_POST['book_max_b'] : "150000")."' WHERE settings_name='book_max_b'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_ASETTINGS." SET settings_value='".(isnum($_POST['book_per_page']) ? $_POST['book_per_page'] : "10")."' WHERE settings_name='book_per_page'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_ASETTINGS." SET settings_value='".stripinput($_POST['book_types'])."' WHERE settings_name='book_types'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_ASETTINGS." SET settings_value='".(isnum($_POST['book_submit']) ? $_POST['book_submit'] : "0")."' WHERE settings_name='book_submit'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_ASETTINGS." SET settings_value='".(isnum($_POST['guestdownload']) ? $_POST['guestdownload'] : "0")."' WHERE settings_name='guestdownload'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_ASETTINGS." SET settings_value='".(isnum($_POST['social_sharing']) ? $_POST['social_sharing'] : "0")."' WHERE settings_name='social_sharing'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_ASETTINGS." SET settings_value='".(isnum($_POST['display']) ? $_POST['display'] : "0")."' WHERE settings_name='display'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_ASETTINGS." SET settings_value='".(isnum($_POST['subcats']) ? $_POST['subcats'] : "0")."' WHERE settings_name='subcats'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_ASETTINGS." SET settings_value='".(isnum($_POST['book_per_line']) ? $_POST['book_per_line'] : "2")."' WHERE settings_name='book_per_line'");
		if (!$result) { $error = 1; }
		redirect(FUSION_SELF.$aidlink."&error=".$error, true);
/* 	} else {
		redirect(FUSION_SELF.$aidlink."&error=2");
	} */
}

$settings2 = array();
$result = dbquery("SELECT * FROM ".DB_ASETTINGS);
while ($data = dbarray($result)) {
	$settings2[$data['settings_name']] = $data['settings_value'];
}

opentable($locale['book_003']);
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['book_330']."<br /><span class='small2'>".$locale['book_331']."</span></td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='book_max_b' value='".$settings2['book_max_b']."' maxlength='150' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['book_334']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='book_per_page' value='".$settings2['book_per_page']."' maxlength='3' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['book_332']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='book_types' value='".$settings2['book_types']."' maxlength='150' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['book_335']."</td>\n";
echo "<td width='50%' class='tbl'><select name='book_submit' class='textbox'>\n";
echo "<option value='1'".($settings2['book_submit'] == "1" ? " selected='selected'" : "").">".$locale['book_336']."</option>\n";
echo "<option value='0'".($settings2['book_submit'] == "0" ? " selected='selected'" : "").">".$locale['book_337']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['book_338']."</td>\n";
echo "<td width='50%' class='tbl'><select name='guestdownload' class='textbox'>\n";
echo "<option value='1'".($settings2['guestdownload'] == "1" ? " selected='selected'" : "").">".$locale['book_336']."</option>\n";
echo "<option value='0'".($settings2['guestdownload'] == "0" ? " selected='selected'" : "").">".$locale['book_337']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['book_344']."</td>\n";
echo "<td width='50%' class='tbl'><select name='social_sharing' class='textbox'>\n";
echo "<option value='1'".($settings2['social_sharing'] == "1" ? " selected='selected'" : "").">".$locale['book_336']."</option>\n";
echo "<option value='0'".($settings2['social_sharing'] == "0" ? " selected='selected'" : "").">".$locale['book_337']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['book_342']."</td>\n";
echo "<td width='50%' class='tbl'><select name='subcats' class='textbox'>\n";
echo "<option value='1'".($settings2['subcats'] == "1" ? " selected='selected'" : "").">".$locale['book_336']."</option>\n";
echo "<option value='0'".($settings2['subcats'] == "0" ? " selected='selected'" : "").">".$locale['book_337']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['book_339']."</td>\n";
echo "<td width='50%' class='tbl'><select name='display' class='textbox'>\n";
echo "<option value='1'".($settings2['display'] == "1" ? " selected='selected'" : "").">".$locale['book_340']."</option>\n";
echo "<option value='0'".($settings2['display'] == "0" ? " selected='selected'" : "").">".$locale['book_341']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['book_343']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='book_per_line' value='".$settings2['book_per_line']."' maxlength='3' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' class='tbl' colspan='2'><br /><a href='".FUSION_SELF.$aidlink."&amp;action=count_books'>".$locale['book_346']."</a></td>\n";
echo "</tr>\n<tr>\n";
/* if ((!isset($admin_password) || md5(md5($admin_password)) != $userdata['user_admin_password'])) {
	echo "<td class='tbl'>".$locale['book_302']."</td>\n";
	echo "<td class='tbl'><input type='password' name='admin_password' value='".(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")."' class='textbox' style='width:150px;' /></td>\n";
	echo "</tr>\n<tr>\n";
} */
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='savesettings' value='".$locale['book_345']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>