<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: book.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
| Original file: downloads.php By Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."booklib/infusion.php";

if (!checkrights("BOL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

opentable($locale['book_701']);
echo "<div style='text-align:center'><br />\n";
$result = dbquery("SELECT inf_id, inf_version FROM ".DB_INFUSIONS." WHERE inf_folder='".$inf_folder."'");
if (dbrows($result)) {
	$data = dbarray($result);
	if ($data['inf_version']<"1.05") {
		if (isset($_POST['update'])) {	
			if ($data['inf_version']=="1.0") {
				$istart = 4;
				$astart = 1;
				$nstart = 4;
			} elseif ($data['inf_version']=="1.01") {
				$istart = 5;
				$astart = 2;
				$nstart = 5;
			} else {
				$istart = 6;
				$astart = 2;
				$nstart = 5;
			}
			for ($i=$istart;$i<=9;$i++) $result = dbquery("INSERT INTO ".$inf_insertdbrow[$i]);
			for ($i=$astart;$i<=3;$i++) $result = dbquery("ALTER TABLE ".$inf_altertable[$i]);
			for ($i=$nstart;$i<=5;$i++) $result = dbquery("CREATE TABLE ".$inf_newtable[$i]);
			$result = dbquery("SELECT book_cat, count(book_id) AS book_count FROM ".DB_BOOK." GROUP BY book_cat");
			if (dbrows($result)) {
				while($data = dbarray($result)) {
					$result2 = dbquery("UPDATE ".DB_BOOK_CATS." SET book_cat_items='".$data['book_count']."' WHERE book_cat_id='".$data['book_cat']."'");
				}
			}
			$result = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='".$inf_version."' WHERE inf_id='".$data['inf_id']."'");
			echo $locale['book_705']."<br /><br />\n";
		} else {
			echo "<form name='upgradeform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
			echo $locale['book_702']."<br /><br />\n";
			echo "<input type='submit' name='update' value='".$locale['book_703']."' class='button'><br /><br />\n";
			echo "</form>\n";
		}
	} else {
		echo $locale['book_704']."<br /><br />\n";
	}
}
echo "</div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>