<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: book.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
| Original file: downloads.php By Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."booklib/infusion_db.php";

add_to_title($locale['global_200'].$locale['INF_TITLE']);

$name = array(); $parents = array();
$result = dbquery("SELECT book_cat_id, book_cat_name, book_cat_parent FROM ".DB_PREFIX."book_cats");
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		$name[$data['book_cat_id']] = $data['book_cat_name'];
		$parents[$data['book_cat_id']] = $data['book_cat_parent'];
	}
}

if (!iGUEST) $asettings['guestdownload'] = 1;

if (isset($_GET['book_id']) && isnum($_GET['book_id'])) {
	if (isset($_GET['action']) && $_GET['action'] == "download" && $asettings['guestdownload']) {
		if ($data = dbarray(dbquery("SELECT book_url, book_file, book_cat FROM ".DB_BOOK." WHERE book_id='".$_GET['book_id']."'"))) {
			$cdata = dbarray(dbquery("SELECT book_cat_access FROM ".DB_BOOK_CATS." WHERE book_cat_id='".$data['book_cat']."'"));
			if (checkgroup($cdata['book_cat_access'])) {
				$result = dbquery("UPDATE ".DB_BOOK." SET book_count=book_count+1 WHERE book_id='".$_GET['book_id']."'");
				if (!empty($data['book_file']) && file_exists(BOOKS.$data['book_file'])) {
					require_once INCLUDES."class.httpdownload.php";
					ob_end_clean();
					$object = new httpdownload;
					$object->set_byfile(BOOKS.$data['book_file']);
					$object->use_resume = true;
					$object->download();
					exit;
				} elseif (!empty($data['book_url'])) {
					redirect($data['book_url']);
				}
			} else redirect(FUSION_SELF);
		}
	} else {
		$result = dbquery(
				"SELECT ta.*, tc.book_cat_access, tu.user_id, tu.user_name, tu.user_status FROM ".DB_BOOK." ta
				LEFT JOIN ".DB_USERS." tu ON ta.book_name=tu.user_id
				LEFT JOIN ".DB_BOOK_CATS." tc ON ta.book_cat=tc.book_cat_id
				WHERE book_id='".$_GET['book_id']."'"
		);
		if (dbrows($result)) {
			$data = dbarray($result);
			if (checkgroup($data['book_cat_access'])) {
				opentable($locale['INF_TITLE'].$locale['global_201'].$data['book_title']);
				add_to_title($locale['global_201'].$data['book_title']);
				echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border'>\n";
				echo "<tbody>\n<tr>\n";
				echo "<td align='center' class='tbl1'>\n";
				echo "<img src='".($data['book_image'] ? IMAGES_BOOK.$data['book_image'] : INFUSIONS."booklib/images/default.png")."' alt='".$data['book_title']."' />";
				if ($asettings['social_sharing']) {
					echo "<div style='text-align:center'><br />\n";
					$link = $settings['siteurl'].str_replace("../","",INFUSIONS)."booklib/book.php?book_id=".$_GET['book_id'];
					echo "<a href='http://www.facebook.com/share.php?u=".$link."' target='_blank'><img alt='Facebook' src='".INFUSIONS."booklib/images/facebook.png' border='0'></a>&nbsp;\n";
					echo "<a href='http://twitter.com/share?url=".$link."' target='_blank'><img alt='Twitter' src='".INFUSIONS."booklib/images/twitter.png' border='0'></a>&nbsp;\n";
					echo "<a href='http://digg.com/submit?url=".$link."' target='_blank'><img alt='Digg' src='".INFUSIONS."booklib/images/digg.png' border='0'></a>&nbsp;\n";
					echo "<a href='http://reddit.com/submit?url=".$link."' target='_blank'><img alt='Reddit' src='".INFUSIONS."booklib/images/reddit.png' border='0'></a>&nbsp;\n";
					echo "<a href='http://del.icio.us/post?url=".$link."' target='_blank'><img alt='Del.icio.us' src='".INFUSIONS."booklib/images/delicious.png' border='0'></a>&nbsp;\n";
					echo "</div>\n";
				}
				echo "</td>\n<td>";
				echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border'>\n";
				echo "<tbody>\n<tr>\n";
				echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_411'].":</b></td>\n";
				$new = "";
				if ($data['book_datestamp'] + 604800 > time() + ($settings['timeoffset'] * 3600)) {
					$new = "<span class='small'>".$locale['book_410']."</span>";
				}
				echo "<td class='tbl1'>".$data['book_title']."&nbsp;".$new."</td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_417'].":</b></td>\n";
				echo "<td class='tbl1'>".($data['book_author'] ? $data['book_author'] : "-")."</td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_413'].":</b></td>\n";
				echo "<td class='tbl1'>".cat_parents($data['book_cat'])."</td>\n";
				if ($data['book_pubdate']) {
					echo "</tr>\n<tr>\n";
					echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_419'].":</b></td>\n";
					echo "<td class='tbl1'>".$data['book_pubdate']."</td>\n";
				}
				if ($data['book_publisher']) {
					echo "</tr>\n<tr>\n";
					echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_415'].":</b></td>\n";
					echo "<td class='tbl1'>".$data['book_publisher']."</td>\n";
				}
				if ($data['book_language']) {
					echo "</tr>\n<tr>\n";
					echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_436'].":</b></td>\n";
					echo "<td class='tbl1'>".$data['book_language']."</td>\n";
				}
				echo "</tr>\n<tr>\n";
				echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_422'].":</b></td>\n";
				echo "<td class='tbl1'>".($data['book_filesize'] ? $data['book_filesize'] : "-")."</td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_418'].":</b></td>\n";
				$drating = dbarray(dbquery("SELECT SUM(rating_vote) sum_rating, COUNT(rating_item_id) count_votes FROM ".DB_RATINGS." WHERE rating_item_id='".$data['book_id']."' AND rating_type='B'"));
				$num_votes = $drating['count_votes'];
				$rating = ($num_votes > 0 ? str_repeat("<img src='".INFUSIONS."booklib/images/star.png'>",ceil($drating['sum_rating']/$num_votes))." [".$locale['book_428'].": ".$num_votes."]" : $locale['book_429']);
				echo "<td class='tbl1'>".$rating."</td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_424'].":</b></td>\n";
				echo "<td class='tbl1'><a href='".FUSION_SELF."?book_id=".$data['book_id']."&amp;action=download'>".$locale['book_416']."</a> [".$locale['book_412'].": ".$data['book_count']."] ".(!$asettings['guestdownload'] ? "<span style='color:#f00'>".$locale['book_432']."</span>" : "")."</td>\n";
				echo "</tr>\n";
				echo "</tbody>\n</table>\n";
				echo "</td>\n</tr>\n";
				echo "</tbody>\n</table>\n";
				if ($data['book_description']) {
					echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border'>\n<tbody><tr>\n";
					echo "<td class='tbl2' style='width:100px;padding:6px'><b>".$locale['book_423'].":</b></td>\n";
					echo "</tr>\n<tr>\n";
					echo "<td class='tbl1'>".nl2br(parseubb(parsesmileys($data['book_description'])))."</td>";
					echo "</tr>\n</tbody>\n</table>\n";
				}
				echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border'>\n<tbody><tr>\n";
				echo "<td class='tbl2' style='width:75px;text-align:center'><b>".$locale['book_433'].":</b></td>\n";
				echo "<td class='tbl1'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
				echo "<td class='tbl2' style='width:50px;text-align:center'><b>".$locale['book_437']."</b></td>\n";
				echo "<td class='tbl1'>".showdate("shortdate", $data['book_datestamp'])."</td>";
				echo "<td class='tbl2' style='width:130px'><b>".$locale['book_434'].":</b></td>\n";
				echo "<td class='tbl1' style='width:32px'><a href='".INFUSIONS."booklib/report.php?book_id=".$data['book_id']."' onclick=\"return confirm('".$locale['book_435']."');\"><img width='32' height='32' border='0' src='".INFUSIONS."booklib/images/link.png' alt='".$locale['book_434']."' /></a></td>";
				echo "</tr>\n</tbody>\n</table>\n";
				closetable();
				
				opentable($locale['book_425']);
				$result3 = dbquery("SELECT ta.book_id, ta.book_title, ta.book_datestamp, ta.book_count, tac.book_cat_id, tac.book_cat_name, tac.book_cat_access FROM ".DB_BOOK." ta INNER JOIN ".DB_BOOK_CATS." tac ON ta.book_cat=tac.book_cat_id WHERE MATCH (book_title) AGAINST ('".$data['book_title']."' IN BOOLEAN MODE) AND book_id != ".$data['book_id']." ".(iSUPERADMIN ? "" : "AND ".groupaccess('book_cat_access'))." ORDER BY RAND() LIMIT 5");
				echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border'>\n";
				echo "<tbody><tr>\n";
				echo "<th class='tbl2' align='center' width='10%'>".$locale['book_411']."</th>\n";
				echo "<th class='tbl2' align='center' width='1%'>".$locale['book_413']."</th>\n";
				echo "<th class='tbl2' align='center' width='1%'>".$locale['book_412']."</th>\n";
				echo "<th class='tbl2' align='center' width='3%'>".$locale['book_418']."</th>\n";
				echo "</tr>\n";
				if (dbrows($result3)) {
					$i = 0;
					while ($data3 = dbarray($result3)) {
						$drating = dbarray(dbquery("SELECT SUM(rating_vote) sum_rating, COUNT(rating_item_id) count_votes FROM ".DB_RATINGS." WHERE rating_item_id='".$data3['book_id']."' AND rating_type='B'"));
						$num_votes = $drating['count_votes'];
						$rating = ($num_votes > 0 ? str_repeat("<img src='".INFUSIONS."booklib/images/star.png'>",ceil($drating['sum_rating']/$num_votes)) : "-");
						$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
						echo "<tr>\n";
						echo "<td class='$cell_color' width='10%'><a href='book.php?book_id=".$data3['book_id']."' title='".$data3['book_title']."'>".$data3['book_title']."</a></td>\n";
						echo "<td class='$cell_color' align='center'>".$data3['book_cat_name']."</td>\n";
						echo "<td class='$cell_color' align='center'>".$data3['book_count']."</td>\n";
						echo "<td class='$cell_color' align='center'>".$rating."</td>\n";
						echo "</tr>\n";
					}
				} else echo "<tr><td class='tbl1' colspan='4' align='center'>".$locale['book_426']."</td></tr>";
				echo "</tbody></table>\n";
				closetable();
				include INCLUDES."comments_include.php";
				include INCLUDES."ratings_include.php";
				if ($data['book_allow_comments']) { showcomments("BO", DB_BOOK, "book_id", $_GET['book_id'], FUSION_SELF."?book_id=".$data['book_id']); }
				if ($data['book_allow_ratings']) { showratings("B", $_GET['book_id'], FUSION_SELF."?book_id=".$_GET['book_id']); }
			} else {
				redirect(FUSION_SELF);
			}
		} else {
			redirect(FUSION_SELF);
		}
	}
} elseif (!isset($_GET['cat_id']) || !isnum($_GET['cat_id'])) {
	opentable($locale['INF_TITLE']);
	echo "<!--pre_book_idx-->\n";
	$result = dbquery("SELECT book_cat_id, book_cat_name, book_cat_description, book_cat_items FROM ".DB_BOOK_CATS." WHERE ".groupaccess('book_cat_access')." AND book_cat_parent='0' ORDER BY book_cat_name");
	$rows = dbrows($result);
	if ($rows) {
		$counter = 0; $columns = 2;
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
			echo "<td valign='top' width='50%' class='tbl book_idx_cat_name'><!--book_idx_cat_name--><a href='".FUSION_SELF."?cat_id=".$data['book_cat_id']."'>".$data['book_cat_name']."</a> (".$data['book_cat_items'].")";
			if ($data['book_cat_description'] != "") { echo "<br />\n<span class='small'>".$data['book_cat_description']."</span>"; }
			if ($asettings['subcats']) {
				$result2 = dbquery("SELECT book_cat_id, book_cat_name, book_cat_items FROM ".DB_BOOK_CATS." WHERE ".groupaccess('book_cat_access')." AND book_cat_parent='".$data['book_cat_id']."' ORDER BY book_cat_name");
				if (dbrows($result2) != 0) {
					echo "<br /><strong>".$locale['book_427'].": </strong>";
					$i = 0;
					while ($data2 = dbarray($result2)) {
						echo ($i!=0 ? $locale['comma']:"")."<a href='".FUSION_SELF."?cat_id=".$data2['book_cat_id']."'>".$data2['book_cat_name']."</a> (".$data2['book_cat_items'].")";
						$i++;
					}
				}
			}
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
	} else {
		echo "<div style='text-align:center'><br />\n".$locale['book_430']."<br /><br />\n</div>\n";
	}
	echo "<!--sub_book_idx-->";
	closetable();
} else {
	$res = 0;
	$result = dbquery("SELECT book_cat_id, book_cat_name, book_cat_sorting, book_cat_access, book_cat_items FROM ".DB_BOOK_CATS." WHERE book_cat_id='".$_GET['cat_id']."'");
	if (dbrows($result) != 0) {
		$cdata = dbarray($result);
		if (checkgroup($cdata['book_cat_access'])) {
			$res = 1;
			add_to_title($locale['global_201'].cat_parents($cdata['book_cat_id'], "c"));
			opentable($locale['INF_TITLE'].": ".cat_parents($cdata['book_cat_id'], "c"));
			if ($asettings['subcats']) {
				$result2 = dbquery("SELECT book_cat_id, book_cat_name, book_cat_description, book_cat_items FROM ".DB_BOOK_CATS." WHERE ".groupaccess('book_cat_access')." AND book_cat_parent='".$cdata['book_cat_id']."' ORDER BY book_cat_name");
				if (dbrows($result2) != 0) {
					echo "<table width='100%' style='margin:auto' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tbody>\n";
					echo "<tr><td colspan='2' class='tbl2'>".$locale['book_427']."</td></tr>";
					$counter = 0; $columns = 2;
					while ($data2 = dbarray($result2)) {
						if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
						echo "<td valign='top' width='50%' class='tbl book_idx_cat_name'><!--book_idx_cat_name--><a href='".FUSION_SELF."?cat_id=".$data2['book_cat_id']."'>".$data2['book_cat_name']."</a> (".$data2['book_cat_items'].")";
						if ($data2['book_cat_description'] != "") { echo "<br />\n<span class='small'>".$data2['book_cat_description']."</span>"; }
						echo "</td>\n";
						$counter++;
					}
					echo "</tbody>\n</table>\n<br />\n";
				}
			}
			echo "<!--pre_book_cat-->";
			$rows = $cdata['book_cat_items'];
			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
			if ($rows != 0) {
				$result = dbquery("SELECT * FROM ".DB_BOOK." WHERE book_cat='".$_GET['cat_id']."' ORDER BY ".$cdata['book_cat_sorting']." LIMIT ".$_GET['rowstart'].",".$asettings['book_per_page']);
				$numrows = dbrows($result); $i = 0;
				if ($asettings['display']) {
					echo "<table width='100%' style='margin:auto' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tbody>\n";
					echo "<tr>\n<td class='tbl2'>".$locale['book_411']."</td>\n";
					echo "<td align='center' class='tbl2'>".$locale['book_417']."</td>\n";
					echo "<td align='center' class='tbl2'>".$locale['book_424']."</td>\n";
					echo "<td align='center' class='tbl2'>".$locale['book_412']."</td>\n";
					echo "<td align='center' class='tbl2'>".$locale['book_418']."</td>\n</tr>\n";
					while ($data = dbarray($result)) {
						$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
						if ($data['book_datestamp'] + 604800 > time() + ($settings['timeoffset'] * 3600)) {
							$new = " <span class='small'>".$locale['book_410']."</span>";
						} else {
							$new = "";
						}
						echo "<tr>\n<td class='$cell_color'>$new <a href='".FUSION_SELF."?book_id=".$data['book_id']."'><strong>".$data['book_title']."</strong></a>\n</td>\n";
						echo "<td align='center' class='$cell_color'>".($data['book_author'] ? $data['book_author'] : "-")."\n</td>\n";
						echo "<td align='center' class='$cell_color'><a href='".FUSION_SELF."?book_id=".$data['book_id']."&amp;action=download'><img src='".INFUSIONS."booklib/images/download.png' alt='".$locale['book_416']."' border='0' /></a>\n</td>\n";
						echo "<td align='center' class='$cell_color'>".$data['book_count']."\n</td>\n";
						$drating = dbarray(dbquery("SELECT SUM(rating_vote) sum_rating, COUNT(rating_item_id) count_votes FROM ".DB_RATINGS." WHERE rating_item_id='".$data['book_id']."' AND rating_type='B'"));
						$num_votes = $drating['count_votes'];
						$rating = ($num_votes > 0 ? str_repeat("<img src='".INFUSIONS."booklib/images/star.png'>",ceil($drating['sum_rating']/$num_votes)) : "-");
						echo "<td align='center' class='$cell_color'>".$rating."\n</td>\n</tr>\n";
					}
					echo "</tbody>\n</table>\n";
				} else {
					echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
					while ($data = dbarray($result)) {
						if ($i != 0 && ($i % $asettings['book_per_line'] == 0)) { echo "</tr>\n<tr>\n"; }
						echo "<td align='center' valign='top' class='tbl'>\n";
						echo "<a href='".FUSION_SELF."?book_id=".$data['book_id']."' class=''>\n<img src='".($data['book_image'] ? IMAGES_BOOK.$data['book_image'] : INFUSIONS."booklib/images/default.png")."' alt='".$data['book_title']."' title='".$data['book_title']."' style='border:0px;max-height:128px' />";
						echo "<br /><br />\n";
						echo "<strong>".$data['book_title']."</strong></a><br />\n";
						echo "<span class='small'>\n";
						echo $locale['book_414'].": ".showdate("shortdate", $data['book_datestamp'])."<br />\n";
						$drating = dbarray(dbquery("SELECT SUM(rating_vote) sum_rating, COUNT(rating_item_id) count_votes FROM ".DB_RATINGS." WHERE rating_item_id='".$data['book_id']."' AND rating_type='B'"));
						$num_votes = $drating['count_votes'];
						$rating = ($num_votes > 0 ? str_repeat("<img src='".INFUSIONS."booklib/images/star.png'>",ceil($drating['sum_rating']/$num_votes)) : "-");
						echo $locale['book_418'].": ".$rating."<br />\n";
						$comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='BO' AND comment_item_id='".$data['book_id']."'");
						echo $locale['book_421'].": ".$data['book_count']."</span><br />\n";
						echo $locale['book_420'].": ".$comments."<br />\n";
						echo "</td>\n";
						$i++;
					}
					echo "</tr>\n</table>\n";
				}
				closetable();
				if ($rows > $asettings['book_per_page']) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $asettings['book_per_page'], $rows, 3, FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;")."\n</div>\n"; }
			} else {
				echo "<div style='text-align:center'><br />".$locale['book_431']."<br /><br /></div>\n";
				echo "<!--sub_book_cat-->";
				closetable();
			}
		}
	}
	if ($res == 0) { redirect(FUSION_SELF); }
}

function cat_parents($id, $type="b") {
	global $parents, $name;
	if ($type=="b") $parent = "<a href='".FUSION_SELF."?cat_id=".$id."' title='".$name[$id]."'>".$name[$id]."</a>";
	else $parent = $name[$id];
	if ($parents[$id]==0) return $parent;
	else return cat_parents($parents[$id], $type)." &raquo; ".$parent;
}

require_once THEMES."templates/footer.php";
?>