<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// DB TABLES
if (!defined("DB_BOOK")) {
	define("DB_BOOK", DB_PREFIX."book_items");
}
if (!defined("DB_BOOK_CATS")) {
	define("DB_BOOK_CATS", DB_PREFIX."book_cats");
}
if (!defined("DB_ASETTINGS")) {
	define("DB_ASETTINGS", DB_PREFIX."book_settings");
}
if (!defined("DB_BOOK_SUBMISSIONS")) {
	define("DB_BOOK_SUBMISSIONS", DB_PREFIX."book_submissions");
}
if (!defined("DB_BOOK_REPORTS")) {
	define("DB_BOOK_REPORTS", "book_reports");
}

// FOLDERS
if (!defined("BOOKS")) {
	define("BOOKS", INFUSIONS."booklib/downloads/");
}
if (!defined("IMAGES_BOOK")) {
	define("IMAGES_BOOK", INFUSIONS."booklib/downloads/images/");
}

// Locale file
if (file_exists(INFUSIONS."booklib/locale/".$settings['locale'].".php")) {
	include INFUSIONS."booklib/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."booklib/locale/English.php";
}

// Settings
if (FUSION_SELF != "infusions.php") {
	$asettings = array();
	$aresult = dbquery("SELECT * FROM ".DB_ASETTINGS);
	if (dbrows($aresult)) {
		while ($adata = dbarray($aresult)) {
			$asettings[$adata['settings_name']] = $adata['settings_value'];
		}
	}
}

?>